### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-radio/ecl-radio-input.directive.ts`

### Implements

`OnInit` `DoCheck`

### Metadata

Selector | `input[eclRadioInput]`

### Index

###### Properties
Public eclRadio
###### Inputs
styleClass
###### HostBindings
attr.type class

### Constructor

`constructor(eclRadio: EclRadioDirective, eclFormGroup: EclFormGroupComponent, ngControl: NgControl, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
eclRadio | `EclRadioDirective` | No
eclFormGroup | `EclFormGroupComponent` | No
ngControl | `NgControl` | No
cd | `ChangeDetectorRef` | No

### Inputs

styleClass
Type : `string`

### HostBindings

attr.type
Type : `string`
Default value : `'radio'`

class
Type : `any`

### Properties

Public eclRadio
Type : `EclRadioDirective`
Decorators : `@Inject(undefined)`

# result-matching ""

# No results matching ""